import 'package:flutter/material.dart';
import 'package:ripple_navigation_dart3/ripple_navigation_dart3.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  GlobalKey<RippleLocationState> rippleControllerKey = GlobalKey();

  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        floatingActionButton: RippleLocation(
          rippleController: rippleControllerKey,
          child: FloatingActionButton(
              onPressed: () {
                rippleControllerKey.currentState?.pushRippleTransitionPage(
                  context,
                  Scaffold(appBar: AppBar()),
                );
              },
              child: Icon(Icons.add)),
        ),
        body: Text("Main Page"),
      ),
    );
  }
}
